STRUCT TEMP(3)

NAME
boost::interprocess::flat_map_index_aux - Helper class to define typedefs from IndexTraits.

SYNOPSIS

// In header: <boost/interprocess/indexes/flat_map_index.hpp>
template<typename MapConfig>
struct flat_map_index_aux {
  // types
  typedef MapConfig::key_type                                         key_type;
  typedef MapConfig::mapped_type                                      mapped_type;
  typedef MapConfig::segment_manager_base                             segment_manager_base;
  typedef std::less< key_type >                                       key_less;
  typedef std::pair< key_type, mapped_type >                          value_type;
  typedef allocator< value_type,segment_manager_base >                allocator_type;
  typedef flat_map< key_type, mapped_type, key_less, allocator_type > index_t;
};